Runtime

## org.eclipse.gmf.runtime.diagram.ui.commands
Class ICommandProxy

    java.lang.Object
      org.eclipse.gef.commands.Command
          org.eclipse.gmf.runtime.diagram.ui.commands.ICommandProxy

public class ICommandProxy
extends Command

A Command Wrapper for a GMF ICommand.

Constructor Summary
`ICommandProxy(ICommand iCommand)` Constructor

Method Summary
`boolean` `canExecute()`
`boolean` `canUndo()`
`void` `dispose()`
`void` `execute()`
`ICommand` `getICommand()` gets the warapped `ICommand`
`void` `redo()`
`void` `undo()`

Methods inherited from class org.eclipse.gef.commands.Command
`chain, getDebugLabel, getLabel, setDebugLabel, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ICommandProxy

    public ICommandProxy(ICommand iCommand)

  Constructor

Parameters:
  `iCommand` - the command to wrap

Method Detail

### dispose

    public void dispose()

### getICommand

    public ICommand getICommand()

  gets the warapped `ICommand`

  Returns:
    the wrapped command

### canExecute

    public boolean canExecute()

### canUndo

    public boolean canUndo()

### execute

    public void execute()

### redo

    public void redo()

### undo

    public void undo()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.